package sysadmin;

import java.io.*;
import java.util.*;
import java.sql.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class Snoop2 extends HttpServlet
{
	ServletConfig conf;
	ServletContext context;
	public void service(HttpServletRequest req, HttpServletResponse res)
		throws IOException, ServletException
	{
		res.setContentType("text/html");
		PrintWriter out = res.getWriter();
	
		out.println("<h2>Path Variables</h2><pre>");
		out.println("<b>getPathInfo:</b> " + req.getPathInfo());
		out.println("<b>getContextPath:</b> " + req.getContextPath());
		out.println("<b>getPathTranslated:</b> " + req.getPathTranslated());
		out.println("<b>getRequestURI:</b> " + req.getRequestURI());
		out.println("<b>getRequestURL:</b> " + req.getRequestURL());
		out.println("<b>getServletPath:</b> " + req.getServletPath());
		out.println("<b>ServletContext.getRealPath:</b> " + 
			context.getRealPath(req.getRequestURI()));
	
		
		out.println();
		out.println("<br><br><h2>ServletAttribute names:</h2>");
		Enumeration enum;
		enum = context.getAttributeNames();
		while (enum.hasMoreElements())
		{
			String name = (String) enum.nextElement();
			out.println("<b>"+name+" :</b> "+context.getAttribute(name));
		}
		out.println();
		out.println("<br><br><h2>InitParameter names:</h2>");
		enum = context.getInitParameterNames();
		while (enum.hasMoreElements())
		{
			String name = (String) enum.nextElement();
			out.println("<b>"+name+" :</b> "+context.getInitParameter(name));
		}
		out.println();
		out.println("<br><br><h2>ServletContext</h2>");
		out.println("<b>context.getServerInfo() :</b>"+context.getServerInfo());
		out.println("<b>this.getServletInfo() :</b>"+this.getServletInfo());
		out.println("<b>this.getServletName() :</b>"+this.getServletName());
	}

	public void init(ServletConfig conf) throws ServletException
	{
		super.init(conf);
		context = this.getServletContext();
	}

	public void destroy()
	{
		super.destroy();
	}

	public String getServletInfo()
	{
		return "Copyright 2002 <i>Your name here</i>";
	}
}
